Skip to main content
POST
/
2025-01
/
retail-media
/
account-management
/
accounts
/
{accountId}
/
create-brand-account
/2025-01/retail-media/account-management/accounts/{accountId}/create-brand-account
curl --request POST \
  --url https://api.criteo.com/2025-01/retail-media/account-management/accounts/{accountId}/create-brand-account \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "brands": [
        123
      ],
      "companyName": "<string>",
      "name": "<string>",
      "onBehalfCompanyName": "<string>"
    },
    "type": "<string>"
  }
}
'
import requests

url = "https://api.criteo.com/2025-01/retail-media/account-management/accounts/{accountId}/create-brand-account"

payload = { "data": {
        "attributes": {
            "brands": [123],
            "companyName": "<string>",
            "name": "<string>",
            "onBehalfCompanyName": "<string>"
        },
        "type": "<string>"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    data: {
      attributes: {
        brands: [123],
        companyName: '<string>',
        name: '<string>',
        onBehalfCompanyName: '<string>'
      },
      type: '<string>'
    }
  })
};

fetch('https://api.criteo.com/2025-01/retail-media/account-management/accounts/{accountId}/create-brand-account', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "attributes": {
      "companyName": "<string>",
      "countryIds": [
        "<string>"
      ],
      "currencyId": "<string>",
      "name": "<string>",
      "onBehalfCompanyName": "<string>",
      "parentAccountLabel": "<string>",
      "timeZone": "<string>"
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

The given account id

Body

application/json

A top-level object that encapsulates a Criteo API request for a single value object.

data
object

A value resource exposed by the API.

Response

201 - application/json

Success

A top-level object that encapsulates a Criteo API response for a single entity.

data
object | null

A domain entity exposed by the API, identified by a unique id.

errors
object[] | null
read-only

Errors that occured during this call.

warnings
object[] | null
read-only

Warnings that occured during this call.